Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 972458 - kickstart ks= kernel command line options are documented incorrectly
Summary: kickstart ks= kernel command line options are documented incorrectly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: install-guide
Version: devel
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Pete Travis
QA Contact: Petr Bokoc
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-09 15:03 UTC by Jeff Layton
Modified: 2014-06-18 07:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-17 10:05:22 UTC


Attachments (Terms of Use)

Description Jeff Layton 2013-06-09 15:03:44 UTC
Table 11.2 on this page seems to have the wrong syntax listed for ks= options:

http://docs.fedoraproject.org/en-US/Fedora/18/html/Installation_Guide/sn-automating-installation.html#tb-kssources

It says:

    ks=hd:/device/directory/ks.cfg

...but really, it should be:

    ks=hd:device:/directory/ks.cfg

...I think the others are similarly incorrect, but don't have a good way to confirm that at the moment.

Comment 2 Pete Travis 2013-06-18 05:28:46 UTC
I've removed the cited '/' from the table [1], as per the wiki page maintained by the anaconda team [2]._Kickstart_Options . The other entries in the the table appear correct, and this looks like the only instance where "ks=hd" had the leading slash. Thanks for reporting, Jeff!

[1] https://git.fedorahosted.org/cgit/docs/install-guide.git/commit/?id=15a915e24e43ffbad9d15957f313091e33b2a50a
[2] http://fedoraproject.org/wiki/Anaconda/Kickstart#Chapter_2

Comment 3 Petr Bokoc 2013-09-17 10:05:22 UTC
Verified in the current F19 version available at docs.fp.o.


Note You need to log in before you can comment on or make changes to this bug.